<template>
	<view>
		<web-view :src="outUrl"></web-view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				outUrl:"",//跳出地址
				Brightness:"",//屏幕亮度
			}
		},
		onShow() {
			let _this=this
			uni.getScreenBrightness({
				success: function(res){
				// 这里是把获取到的手机屏幕亮度，存储到data里面，方便给到页面生命周期隐藏和卸载方法里面用
				   _this.Brightness = res.value;
				   if(res.value != 1){
					uni.setScreenBrightness({
						value: 1
					});
				   }
				}
			})
		},
		onHide: function () {
			uni.setScreenBrightness({// 恢复之前屏幕亮度
				value: this.Brightness
			})
		},
		onLoad(option) {
			let pdOpenid=uni.getStorageSync("openid")//胖丁小程序openid,临时用，当公众号授权做好之后可以删除
			let pdToken=uni.getStorageSync("token")
			let pdCreateUserId=uni.getStorageSync("createUserId")
			let pdUserId=uni.getStorageSync("userId")
			let ifyukuaiCode=option.ifyukuaiCode//是否是渝快码跳入，渝快码跳入需要在H5端另外走流程
			this.outUrl="https://wx.pangdly.com/#/unusedDetail?id="+option.orderId+"&pdOpenid="+pdOpenid+"&pdToken="+pdToken+"&pdCreateUserId="+pdCreateUserId+"&pdUserId="+pdUserId+"&ifyukuaiCode="+ifyukuaiCode
		},
		methods: {
			
		}
	}
</script>

<style>

</style>
